From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/u-msgpack/
Date: Tue, 9 May 2017 00:54:32 +0000 (UTC) [thread overview]
Message-ID: <1494291268.cf9126a800d964a04fea0d5570cbf56742091b5f.zmedico@gentoo> (raw)
commit: cf9126a800d964a04fea0d5570cbf56742091b5f
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue May 9 00:52:42 2017 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue May 9 00:54:28 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf9126a8
dev-python/u-msgpack: version bump to 2.4.1
Package-Manager: Portage-2.3.5, Repoman-2.3.2
dev-python/u-msgpack/Manifest | 1 +
dev-python/u-msgpack/u-msgpack-2.4.1.ebuild | 29 +++++++++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/dev-python/u-msgpack/Manifest b/dev-python/u-msgpack/Manifest
index 1f70734e8b2..ec3ac203148 100644
--- a/dev-python/u-msgpack/Manifest
+++ b/dev-python/u-msgpack/Manifest
@@ -1 +1,2 @@
DIST u-msgpack-2.3.0.tar.gz 11644 SHA256 d8df6bb0e2a838aa227c39cfd14aa147ab32b3df6871001874e9b9da9ce1760c SHA512 f39a30fd6b413f1fb57acee6faf0b2d032f940d048b47f04d7f51d46c7f5efc2cede8e298ffef2304c4bcb3e00ade730f76c5b89ebc50ec5766a3c0a69fff316 WHIRLPOOL 147b95349a0a8b631f3d4775ebd46563530cbd72f743ee19723c3330ef45c2866da1fac160d2876b3c949c4769e00f95e75cc59cfb4626f373c982ee8790c21a
+DIST u-msgpack-2.4.1.tar.gz 12026 SHA256 2f31fc1b6dd8632c230ea7012470e40f77119f20999274dda6f1afa9c305e590 SHA512 4c3edb72455e8eb8fa7a4ed9b6ef4461755b782391f2c362d52d0fafda3e790fb40d0d239d05ba99beb3ad4cfd9e200175e2a1917cd64ee1e5d8cc3c4e8b3f25 WHIRLPOOL 8df0c9b0c398b28b03c93b80e690192c6856085dd436e3719449d2c9a3e9ce6c70067c2da06afc5ebe318dd0f4a6cab21c7b08a28364808eb627e3d53b7a594e
diff --git a/dev-python/u-msgpack/u-msgpack-2.4.1.ebuild b/dev-python/u-msgpack/u-msgpack-2.4.1.ebuild
new file mode 100644
index 00000000000..bc3ea23eb45
--- /dev/null
+++ b/dev-python/u-msgpack/u-msgpack-2.4.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+MY_PN="${PN}-python"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A portable, lightweight MessagePack serializer and deserializer"
+HOMEPAGE="https://github.com/vsergeev/u-msgpack-python https://pypi.python.org/pypi/u-msgpack-python"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+S=${WORKDIR}/${MY_P}
+
+python_test() {
+ py.test -v || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2017-05-09 0:54 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-05-09 0:54 Zac Medico [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-05-07 11:58 [gentoo-commits] repo/gentoo:master commit in: dev-python/u-msgpack/ Michał Górny
2020-11-26 8:26 Michał Górny
2020-11-26 5:57 Sam James
2020-10-25 6:04 Michał Górny
2020-10-21 22:51 Michał Górny
2020-10-18 19:19 Sam James
2020-10-18 19:10 Thomas Deutschmann
2020-08-01 10:09 Michał Górny
2020-08-01 10:09 Michał Górny
2020-07-11 9:39 Michał Górny
2020-07-09 8:41 Agostino Sarubbo
2020-07-09 8:27 Agostino Sarubbo
2020-07-09 8:16 Agostino Sarubbo
2020-07-09 8:04 Agostino Sarubbo
2020-05-26 16:57 Michał Górny
2020-05-26 16:23 Michał Górny
2020-03-29 10:30 Michał Górny
2020-03-29 10:30 Michał Górny
2020-03-29 10:30 Michał Górny
2020-03-25 15:27 Agostino Sarubbo
2020-03-25 14:52 Agostino Sarubbo
2020-03-25 13:27 Agostino Sarubbo
2020-03-25 13:12 Agostino Sarubbo
2020-03-25 12:36 Agostino Sarubbo
2020-03-25 12:23 Agostino Sarubbo
2019-11-27 1:13 Patrick McLean
2019-11-02 8:19 Mikle Kolyada
2019-06-25 12:09 Michael Haubenwallner
2019-06-25 9:05 Michael Haubenwallner
2019-01-29 13:31 Mikle Kolyada
2018-07-20 15:53 Tobias Klausmann
2018-07-15 10:25 Sergei Trofimovich
2018-07-14 20:10 Sergei Trofimovich
2018-07-02 21:24 Sergei Trofimovich
2018-06-30 17:55 Sergei Trofimovich
2018-02-21 20:18 Michał Górny
2017-12-20 21:53 Sergei Trofimovich
2017-11-23 22:31 Matt Turner
2017-09-28 13:42 Michael Palimaka
2017-09-22 19:40 Sergei Trofimovich
2017-08-20 2:17 Tim Harder
2017-07-31 9:33 Tobias Klausmann
2017-07-01 11:19 Sergei Trofimovich
2017-05-26 20:56 Mart Raudsepp
2017-05-26 18:36 Markus Meier
2017-05-23 20:00 Michael Weber
2017-05-18 20:00 Michael Weber
2017-05-17 19:22 Markus Meier
2017-05-16 2:10 Brian Dolbec
2017-05-10 20:10 Jeroen Roovers
2016-10-24 23:17 Brian Dolbec
2016-10-22 1:26 Brian Dolbec
2016-08-31 1:18 Brian Dolbec
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1494291268.cf9126a800d964a04fea0d5570cbf56742091b5f.zmedico@gentoo \
--to=zmedico@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox